Skip to content

Fare Rules after Fare Display

Request

Fare rules are the conditions and restrictions that apply to any booking based on its fare type. These determine the price of the fare. Generally, less expensive fares have more restrictions and more expensive fares have fewer restrictions. Fare rules can include blackout dates, advanced reservation requirements, minimum and maximum stay requirements, and cancellation and change penalties.

Security
bearerAuth
Query
fareRuleIdentifierstring, (uuid)

Send the value from FareDisplayResponse.Identifier from the Fare Display response.

fareIDArray of strings

Send the value from fareDisplay.fare.sequence from the Fare Display response for the fare to request fare rules for.

Example:fareID=1
fareRuleCategoriesArray of strings

List of fare rule categories required

fareRuleTypestring, <= 32 charactersrequired

The type of fare rules requested. Supported values: ShortText, LongText

Example:fareRuleType=LongText
Headers
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
curl -i -X GET \
  'https://developer.travelport.com/_mock/apis/flights/air/farerule/farerules/fromfaredisplay?fareRuleIdentifier=497f6eca-6276-4993-bfeb-53cbbbba6f08&fareID=1&fareRuleCategories=%5B%22Penalties%22%5D&fareRuleType=LongText' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'

Responses

OK - Successful Response - 200

Bodyapplication/json
FareRuleListResponseobject(FareRuleListResponse)

The response of a Fare rule list endpoint request.

Response
{ "FareRuleListResponse": { "@type": "FareRuleListResponse", "FareRule": [ {} ], "transactionId": "6570ed7b-89fe-4334-9c78-af282a977ba6", "traceId": "c009a53c-48f6-4084-b7b6-3043fa9fec67", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "ReferenceList": [ {} ] } }